Package org.apache.commons.dbutils.handlers.properties

# Class DatePropertyHandler

java.lang.Object
org.apache.commons.dbutils.handlers.properties.DatePropertyHandler

All Implemented Interfaces:
  `PropertyHandler`

public class DatePropertyHandler extends Object implements PropertyHandler
`PropertyHandler` for date fields. Will convert `Date`, `Time`, and `Timestamp` from SQL types to java types.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DatePropertyHandler()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Object`
  `apply(Class<?> parameter, Object value)`
  Stores the given `value` into an instance of type `parameter`.
  `boolean`
  `match(Class<?> parameter, Object value)`
  Tests whether to handle setting `value` into an instance of `parameter`.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### DatePropertyHandler

    public DatePropertyHandler()

- ## Method Details

  - ### apply

    public Object apply(Class<?> parameter, Object value)
    Description copied from interface: `PropertyHandler`
    Stores the given `value` into an instance of type `parameter`. This method is only called if `PropertyHandler.match(Class, Object)` return true.
    Specified by:
      `apply` in interface `PropertyHandler`
    Parameters:
      `parameter` - The type of the target parameter.
      `value` - The value to set.
    Returns:
      The converted value or the original value if something doesn't work out.

  - ### match

    public boolean match(Class<?> parameter, Object value)
    Description copied from interface: `PropertyHandler`
    Tests whether to handle setting `value` into an instance of `parameter`.
    Specified by:
      `match` in interface `PropertyHandler`
    Parameters:
      `parameter` - The type of the target parameter.
      `value` - The value to be set.
    Returns:
      true is this property handler can/wants to handle this value; false otherwise.